Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC1_SymbolTable

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_SymbolTable

All Implemented Interfaces:
  `StructConverter`

public class ObjectiveC1_SymbolTable extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyTo()`
  `List<ObjectiveC1_Category>`
  `getCategories()`
  `short`
  `getCategoryDefinitionCount()`
  `short`
  `getClassDefinitionCount()`
  `List<ObjectiveC1_Class>`
  `getClasses()`
  `int`
  `getRefs()`
  `int`
  `getSelectorReferenceCount()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `static DataType`
  `toGenericDataType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getSelectorReferenceCount

    public int getSelectorReferenceCount()

  - ### getRefs

    public int getRefs()

  - ### getClassDefinitionCount

    public short getClassDefinitionCount()

  - ### getCategoryDefinitionCount

    public short getCategoryDefinitionCount()

  - ### getClasses

    public List<ObjectiveC1_Class> getClasses()

  - ### getCategories

    public List<ObjectiveC1_Category> getCategories()

  - ### toGenericDataType

    public static DataType toGenericDataType() throws DuplicateNameException
    Throws:
      `DuplicateNameException`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### applyTo

    public void applyTo() throws Exception
    Throws:
      `Exception`